Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.util.properties
Interface IProperties

All Known Subinterfaces:
  IdeConfig

All Known Implementing Classes:
  DictionaryProperties, FilteredNameProperties, NullProperties, PropertiesAdapter

public interface IProperties
extends IPropertiesRO

Presents interface to a string property with ability to set new value.

Author:
  TogetherSoft

Field Summary
`final static IProperties` | `NULL`

Method Summary
`void` | `addVetoableChangeListener(VetoableChangeListener listener)` Add a VetoableListener to the listener list.
`void` | `putProperty(String key, String value)` Sets the value of a property specified by its key.
`void` | `removeVetoableChangeListener(VetoableChangeListener listener)` Remove a VetoableChangeListener from the listener list.

Methods inherited from interface com.togethersoft.openapi.util.properties.IPropertiesRO
`addPropertyChangeListener, getProperty, propertyNames, removePropertyChangeListener`

Field Detail

### NULL

    public final static IProperties NULL

Method Detail

### addVetoableChangeListener

    public void addVetoableChangeListener(VetoableChangeListener listener)

  Add a VetoableListener to the listener list.
  Parameters:
    listener - The VetoableChangeListener to be added

### putProperty

    public void putProperty(String key, String value)

  Sets the value of a property specified by its key. The `key` cannot be `null`. If the `value` is `null`, the property is removed.
  Parameters:
    key - the string with the key
    value - the string with the value of a property
  Throws:
    NullPointerException - If the value is equal to null.

### removeVetoableChangeListener

    public void removeVetoableChangeListener(VetoableChangeListener listener)

  Remove a VetoableChangeListener from the listener list.
  Parameters:
    listener - The VetoableChangeListener to be removed

Association Links

to Class com.togethersoft.openapi.util.properties.IProperties

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD